# Dette er config-filen til DOSBox 0.74.
# Linier som starter med # er kommentarlinier, og ignoreres af DosBox.
# De er brugt til (kort) at dokumentere effekten af hver mulighed.

[sdl]
#       fullscreen: Starter DOSBox i helskærm/fuldskærm.(Tryk ALT-Enter for at gå tilbage)
#       fulldouble: Helskærm/fuldskærm i Double Buffering mode. Kan reducére skærm-flimmer, men kan også sløve DOSBox.
#   fullresolution: Hvilken resolution der skal anvendes i helskærm/fuldskærm: "original" eller fixeret (F.eks. 1024x768).
#                     At bruge oprindelig opløsning med aspect=true, kan give det bedste resultat. 
#                     Prøv, hvis du får et lille vindue på en stor skærm, et output som ikke er surface.  
# windowresolution: Tilpasser vinduet til angivet format (kun hvis "hardwaren" er istand til det).
#                     (output=surface er ikke!)
#           output: Hvilket video system der skal bruges til output.
#                   : surface, overlay, opengl, openglnb, ddraw.
#         autolock: Automatisk binding af musen ved klik på skærmen(Press CTRL-F10 for at frigøre).
#      sensitivity: Mus'-følsomhed.
#      waitonerror: Ventetid, inden nedlukning af konsollen, ved evt.fejl i DOSBox.
#         priority: DOSBox-Prioriterings-niveauer. "Anden indtastning" efter kommaet er beregnet til n†r DOSBOX ikke er i focus/minimeret.
#                    pause er kun gangbar for "anden indtastning").
#                   : lowest, lower, normal, higher, highest, pause.
#       mapperfile: Fil brugt til at Keymapper-indstillinger.Resetmapper virker kun med default værdi.
#     usescancodes: Undgå brug af Symboltaster, virker måske ikke med alle systemer.

fullscreen=false
fulldouble=false
fullresolution=original
windowresolution=original
output=surface
autolock=true
sensitivity=100
waitonerror=true
priority=higher,normal
mapperfile=mapper-0.74.map
usescancodes=true

[dosbox]
# language: Vælg en anden sprogfil/language-file.
#  machine: Hvilken type maskine DOSBox prøver at emulere.
#           : hercules, cga, tandy, pcjr, ega, vgaonly, svga_s3, svga_et3000, svga_et4000, svga_paradise, vesa_nolfb, vesa_oldvbe.
# captures: Directory(Mappen,Folderen,Biblioteket) hvor captured/indfangede Wave-, Midi-filer og Screenshots gemmes.
#  memsize: DOSBox's hukommelseslager i MB.
#              Det er bedst, for at undgå problemer med nogle spil, ikke at ændre denne værdi,
#              Selvom få spil måske kræver en højere værdi.
#              Der er generelt ingen hastighedsforøgelse ved at forhøje denne værdi.

language=lng.0.74.DK
machine=svga_s3
captures=capture
memsize=16

[render]
# frameskip: Antal billeder/"frames" Dosbox dropper inden der tegnes 1.
#    aspect: Aspekt-korrektion, kan hvis din output-metode ikke virker med skaléring, virke neddroslende.
#    scaler: Filtermethode til at udvidde/forbedre lave resolutioner:  
#              Hvis 'forced' bliver tilføjet, bliver scaleren brugt, selvom resutatet måske er uønsket.
#            : none, normal2x, normal3x, advmame2x, advmame3x, advinterp2x, advinterp3x, hq2x, hq3x, 2xsai, super2xsai, supereagle, tv2x, tv3x, rgb2x, rgb3x, scan2x, scan3x.

frameskip=0
aspect=false
scaler=normal2x

[cpu]
#      core: CPU Core brugt til emulering. 'auto' skifter til dynamic, hvis passende og til stede...
#            : auto, dynamic, normal, simple.
#   cputype: CPU Type brugt til emulering. 'auto' er hurtigste valg..
#            : auto, 386, 386_slow, 486_slow, pentium_slow, 386_prefetch.
#    cycles: Antal udregninger DOSBOX vil emulere pr. milli-sekund. 
#            Er denne værdi sat for høj, resulterer det i udfald og hakken.  'auto'         prøver på at "gætte" hvad systemet har brug for,
#                              det virker som regel, men kan fejle for enkelte spil.
#              'fixed #ant.' angiver et fast tal for antal 'cycles'. Dette er normalt hvad er nødvendigt hvis 'auto' fejler.
#                              (Eksempel: fixed 4000)
#              'max'          tildeler så mange 'cycles' din computer kan klare.
#            
#            : auto, fixed, max.
#   cycleup: Antal 'cycles', der kan skiftes med tastekombination.(CTRL-F11/CTRL-F12)
# cycledown: Et tal lavere end 100 antages som værende i procent.

core=auto
cputype=auto
cycles=auto
cycleup=10
cycledown=20

[mixer]
#   nosound: Stille/tavs, lyden bliver dog stadig emuleret.
#      rate: Mixer-Sampling-Rate; en højere værdi vil sandsynligvis forringe lyd-kvaliteten.
#            : 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
# blocksize: Mixerens blokstørrelse; større Blokke kan muligvis forhindre hak i lyden, men lyden får mere 'lag'.
#            : 1024, 2048, 4096, 8192, 512, 256.
# prebuffer: Prebuffers i millisekunder.

nosound=false
rate=44100
blocksize=1024
prebuffer=20

[midi]
#     mpu401: Type MPU-401 at emulere.
#             : intelligent, uart, none.
# mididevice: Enhed, til at behandle MIDI data fra MPU-401.
#             : default, win32, alsa, oss, coreaudio, coremidi, none.
# midiconfig: Special configuration options for the device driver. This is usually the id of the device you want to use.
#               See the README/Manual for more details.

mpu401=intelligent
mididevice=default
midiconfig=

[sblaster]
#  sbtype: Type SoundBlaster at emulere. gb er Gameblaster.
#          : sb1, sb2, sbpro1, sbpro2, sb16, gb, none.
#  sbbase: Soundblaster IO address.
#          : 220, 240, 260, 280, 2a0, 2c0, 2e0, 300.
#     irq: Soundblaster IRQ nummer.
#          : 7, 5, 3, 9, 10, 11, 12.
#     dma: Soundblaster DMA nummer.
#          : 1, 5, 0, 3, 6, 7.
#    hdma: Soundblaster High DMA nummer.
#          : 1, 5, 0, 3, 6, 7.
# sbmixer: SoundBlaster-Mixeren at indstille DOSBox-Mixeren.
# oplmode: Type OPL emulering. På 'auto' bestemmer sblaster-typen. Alle OPL modes er Adlib-kompatible, undtage. 'cms'.
#          : auto, cms, opl2, dualopl2, opl3, none.
#  oplemu: Kilden for OPL emulering. compat eller old leverer måske bedre kvalitet (se også oplrate).
#          : default, compat, fast.
# oplrate: OPL-Musik-Emulering Sampling-Rate. Brug 49716 for højeste kvalitet (sæt mixerens rate forholdsvis).
#          : 44100, 49716, 48000, 32000, 22050, 16000, 11025, 8000.

sbtype=sb16
sbbase=220
irq=7
dma=1
hdma=5
sbmixer=true
oplmode=auto
oplemu=default
oplrate=44100

[gus]
#      gus: Aktivere Gravis Ultrasound-Emulering.
#  gusrate: Sampling-rate' for Ultrasound-Emulering.
#           : 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#  gusbase: Gravis Ultrasound IO base addresse.
#           : 240, 220, 260, 280, 2a0, 2c0, 2e0, 300.
#   gusirq: Gravis Ultrasound IRQ nummer.
#           : 5, 3, 7, 9, 10, 11, 12.
#   gusdma: Gravis Ultrasound DMA channel.
#           : 3, 0, 1, 5, 6, 7.
# ultradir: Sti/path til Ultrasound-Directory.
#           Der skal eksistere et MIDI-Directory i dette directory
#            med "patch-filer" til GUS-playback.
#           Timidity-Patches skulle virke ok.

gus=false
gusrate=44100
gusbase=240
gusirq=5
gusdma=3
ultradir=C:\ULTRASND

[speaker]
# pcspeaker: Aktivér PC-højtaler-Emulering.
#    pcrate: PC-højtaler-Emulerings Sampling-Rate.
#            : 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#     tandy: Tandy Sound System-Emulering. Hvis 'auto' kun emulering når maskine er sat til 'tandy'.
#            : auto, on, off.
# tandyrate: Sampling-Rate for Tandy 3-Voice-Generering.
#            : 44100, 48000, 32000, 22050, 16000, 11025, 8000, 49716.
#    disney: Aktiver Disney Sound Source-Emulering. (Covox Voice Master and Speech Thing compatible).

pcspeaker=true
pcrate=44100
tandy=auto
tandyrate=44100
disney=true

[joystick]
# joysticktype: Joysticks-type at emulere: auto (Default), none (ingen),
#               2axis (op til 2 Joysticks),
#               4axis(1joystick, første joystick der bruges),
#               4axis_2(1joystick, andet joystick der bruges),
#               fcs (Thrustmaster), ch (CH Flightstick).
#               none deaktiverer joystick-emulering.
#               auto vælger emulering afhængigt af rigtigt joystick(s).
#               (Husk at resette DOSBox's mapperfil, hvis du har gemt den tidlg.).
#               : auto, 2axis, 4axis, 4axis_2, fcs, ch, none.
#        timed: Aktiver timede intervaller for Axis. Eksperimentér med disse, hvis dit Joystick 'flyder' (væk).
#     autofire: Fortsat "skydning" medens knappen er trykket ned.
#       swap34: Byt 3 og 4 Axis: kan vise sig brugbart for visse joysticks.
#   buttonwrap: Aktiver "button wrapping" ved antallet af emulerede antal knapper.

joysticktype=auto
timed=true
autofire=false
swap34=false
buttonwrap=false

[serial]
# serial1: Angiv enheds-type tilsluttet com port.
#          Kan være :disabled, dummy, modem, nullmodem, directserial.
#          Yderligere parametre skal findes i samme linie i formatet
#           "Parameter:værdi". Parameter for alle typer er irq.
#          for directserial: realport (required), rxdelay (optional).
#                           (realport:COM1 realport:ttyS0).
#          for modem: listenport (optional).
#          for nullmodem: server, rxdelay, txdelay, telnet, usedtr,
#                         transparent, port, inhsocket (alle optional).
#          Eksempel: serial1=modem listenport:5000.
#          : dummy, disabled, modem, nullmodem, directserial.
# serial2: Se serial1.
#          : dummy, disabled, modem, nullmodem, directserial.
# serial3: Se serial1.
#          : dummy, disabled, modem, nullmodem, directserial.
# serial4: Se serial1.
#          : dummy, disabled, modem, nullmodem, directserial.

serial1=dummy
serial2=dummy
serial3=disabled
serial4=disabled

[dos]
#            xms: XMS aktiveret.
#            ems: EMS aktiveret.
#            umb: UMB aktiveret.
# keyboardlayout: keyboardlayout -- Sprogkode for Tastatur-Layout (eller 'none').

xms=true
ems=true
umb=true
keyboardlayout=auto

[ipx]
# ipx: IPX over UDP/IP-Emulering aktiveret.

ipx=false

[autoexec]
# Linier i denne sektion eksekveres under DOSBOX's opstart.
# Du kan bla. indsætte MOUNT(og IMGMOUNT) kommandoer her.
@keyb dk 858 >nul
